Requirement Checklist

Droit Elementor Addons is an extension exclusively built for Elementor Page Builder. As it is an extension of Elementor, thus the Elementor Page Builder plugin is a must-have for Droit Elementor Addons to work. 

Along with that, the following versions are required for this plugin to function.  

  • WordPress Version: 4.7 or higher
  • PHP Version: 5.4 or higher

Here is the list of our recommended web hosting services:

Powered by BetterDocs